REST API
Use the REST API to connect Zeitplan.io to other applications, for example reporting tools. The API is read-only.
Get your API key
Section titled “Get your API key”Open API from the navigation. There you’ll find your API Key and the Base URL to send requests to.
Authentication
Section titled “Authentication”Send your API key with every request, either
- in the
x-api-keyheader (recommended), or - as the
apiKeyquery parameter.
curl -H "x-api-key: <your-api-key>" "<base-url>/projects"Endpoints
Section titled “Endpoints”| Endpoint | Returns | Optional query parameters |
|---|---|---|
GET /assignments |
Assignments | userId, projectId, startDate, endDate (dates as YYYY-MM-DD) |
GET /projects |
Projects | includeArchived |
GET /users |
Users | includeAssignments |